CocoaPods简单用法--安装

      在IOS开发过程中,我们经常需要把一些第三方开源库的源代码文件复制到项目中,而这些开源库通常需要依赖系统的一些framework。以往,我们最原始的做法就是手工地将这些framework一一增加到项目依赖中,比如通常情况下,一个网络库就需要增加以framework:CFNetwork, SystemConfiguration, MobileCoreServices, CoreGraphics, zlib。对于某些开源库,我还需要设置-licucore或者 -fno-objc-arc等编译参数管理这些依赖包的更新。小项目,引用的三方库少且依赖关系简单还好说。但当项目大到一定程度时,这种手工添加三方库的做法就显得异常繁琐。可喜的是,随着IOS的开发者逐渐增多,一些大牛们为解决此问题而开发出了一个名为:CocoaPods 的管理工具。

      CocoaPods项目的源码在Github上管理。该项目开始于2011年8月12日,经过多年发展,现在已经成为iOS开发事实上的依赖管理标准工具。开发iOS项目不可避免地要使用第三方开源库,CocoaPods的出现使得我们可以节省设置和更新第三方开源库的时间。

了解完背景后,下面来说下CocoaPods 的安装:

一、CocoaPods 的安装

CocoaPods是用Ruby实现的,要想使用它首先需要有Ruby的环境。幸运的是OS X系统默认的已经可以运行Ruby了,因此我们只需要执行以下命令。

1、更换 Gem 的源

Gem是一个管理Ruby库和程序的标准包,它通过Ruby Gem(如http://rubygems.org/)源来查找、安装、升级和卸载软件包。在终端按顺序输入以下命令,更换国内的Gem源。

 1.移除掉原有的源(服务器在国外,速度较慢)

 gem sources --remove https://rubygems.org/

2.等有反应之后再敲入以下命令(添加国内的Gem源:https://ruby.taobao.org/)

 gem sources -a https://ruby.taobao.org/

 3.验证是否替换成功

 gem sources -l

2、更新升级 Gem 版本

Gem是管理Ruby库和程序的标准包,如果它的版本过低也可能导致安装失败,解决方案自然是升级Gem,执行下述命令即可:

sudo gem update --system


3、安装CocoaPods

// 安装CocoaPods(OS X 10.11以前)

sudo gem install cocoapods

// 安装CocoaPods(10.11以后,)

sudo gem install -n /usr/local/bin cocoapods



4、更换repo镜像为国内服务器

1.移除原有服务器

pod repo remove master

2.添加境内服务器(建议使用第一个)

为了第一次执行 pod setup 时,能更快地将podspec索引文件更新到本地的 ~/.cocoapods/目录下。我们先将CocoaPods设置成国内的服务器。

pod repo add master https://gitcafe.com/akuandev/Specs.git

pod repo add master http://git.oschina.net/akuandev/Specs.git(开源中国较慢)

完成以上步骤,cocoa pods的安装就基本完成了。

推荐阅读更多精彩内容